<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        /* 
        Создать объект "Документ", в котором определить свойства "Заголовок, тело, футер, дата". 
        Создать в объекте вложенный объект - "Приложение". 
        Создать в объекте "Приложение", вложенные объекты, "Заголовок, тело, футер, дата". 
        Создать методы для заполнения и отображения документа.
        */

        alert("Добрый день. Давайте приступим к заполнению документа."); // Предупреждаем пользователя с чем мы сейчас будем работать
        const h = prompt("Введите заголов документа: ", ""); // Отправляем форму для ввода заголовка документа
        const b = prompt("Введите информацию, которая будет содержаться в документе: ", ""); // Отправляем форму для ввода тела документа (основной информации)
        const f = prompt("Введите дополнительную информацию по документу: ", ""); // Отправляем форму для ввода подвала документа (доп. информация)
        const d = prompt("Введите дату заполнения (дд.мм.гггг): ", ""); // Отправляем форму для ввода даты заполнения документа

        /*
        Создаю объект doc, в котором определяю свойства header, body, footer, date.
        Также, внутри объекта doc вложен ещё объект app, а уже внутри объекта app есть ещё вложенные объекты (header, body, footer, date).
        Внутри объекта doc есть такие методы как: 
        1. showDoc() - служит для отображения информации, 
        2. enterDoc() - служит для заполнения информации.
        */
        const doc = {   
            header: "",
            body: "",
            footer: "",
            date: "",

            app: {
                header: {

                }, 

                body: {

                },

                footer: {

                },

                date: {

                }
            },

            showDoc: function () {
                document.write(`<h3>Документ: ${doc.header}</h3> <b>Информация:</b><br>${doc.body}.<br><b>Дополнительная информация:</b><br>${doc.footer}. <br><b>Дата заполнения:</b> ${doc.date}.`);     
            },

            enterDoc: function (h, b, f, d) {
                doc.header = h;
                doc.body = b;
                doc.footer = f;
                doc.date = d;
            }
        }

        doc.enterDoc(h, b, f, d); // вызываю метод enterDoc() объекта doc
        document.write("<hr>");
        doc.showDoc(); // вызываю метод showDoc() объекта doc
        document.write("<hr>");
    </script>
</body>
</html>
